Subject: Re: bug#61901: 30.0.50; [PATCH v3] Add safe-local-variable-directories variable.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 May 2023 19:10:54 +0300

> From: Antero Mejr <[email-masked]>
> Date: Thu, 11 May 2023 15:42:38 +0000
> 
> Thanks. I looked it over and found a typo. Patch is attached.

Thanks, I removed the redundant text (not exactly the one you proposed
to remove).  It was your original text, which I replaced with modified
one, left there by mistake.

> diff --git a/doc/lispref/variables.texi b/doc/lispref/variables.texi
> index b3a8cd8110c..28deddf985d 100644
> --- a/doc/lispref/variables.texi
> +++ b/doc/lispref/variables.texi
> @@ -1986,7 +1986,7 @@ fully-expanded absolute file names that end in a directory separator
>  character.  They may also be remote directories if the variable
>  @code{enable-remote-dir-locals} is set non-@code{nil}.  Directories in
>  this list are matched case-sensitively, even if the filesystem is
> -case-sensitive.
> +case-insensitive.
>  @end defvar

This actually means that I misunderstood the code.  Now that I see the
truth, why is it a good idea to compare directories case-sensitively
when the filesystem is not?  That's not something users will expect.

(And why private email?  Please keep the bug address on the CC list.)